
#include "LED_PWM.h"

void LED_PWM_init()
	{
		RCC->AHB1ENR|=RCC_AHB1ENR_GPIOAEN;
		GPIOA->MODER|=(1<<1)|(1<<3);
		GPIOA->AFR[0]|=(1<<0)|(1<<4);
		RCC->APB1ENR|=RCC_APB1ENR_TIM2EN; //enable clock access to tim2
		TIM2->PSC=0; //set prescaller to 0 (no divider)
		TIM2->ARR=100; //set the maximum count value
		TIM2->CNT=0; //seset the current count
		TIM2->CCMR1=(1<<5)|(1<<6)|(1<<13)|(1<<14); //configure the pins as PWM
		TIM2->CCER|=0x11; //enbale channel1 and channel2
		TIM2->CR1=1; //enable timer
	}

void Set_duty(LED_Number LED, uint8_t duty )
	{
	if(duty>100){duty=100;}
	switch (LED)
		{
			case LED0: TIM2->CCR1=duty; break;
			case LED1: TIM2->CCR2=duty; break;
			default: break;
		}
	}


